<?php



$tdataGraduatesByYears = array();
$tdataGraduatesByYears[".searchableFields"] = array();
$tdataGraduatesByYears[".ShortName"] = "GraduatesByYears";
$tdataGraduatesByYears[".OwnerID"] = "";
$tdataGraduatesByYears[".OriginalTable"] = "applicform";


$defaultPages = my_json_decode( "{\"chart\":\"chart\"}" );

$tdataGraduatesByYears[".pagesByType"] = my_json_decode( "{\"chart\":[\"chart\"]}" );
$tdataGraduatesByYears[".pages"] = types2pages( my_json_decode( "{\"chart\":[\"chart\"]}" ) );
$tdataGraduatesByYears[".defaultPages"] = $defaultPages;

//	field labels
$fieldLabelsGraduatesByYears = array();
$fieldToolTipsGraduatesByYears = array();
$pageTitlesGraduatesByYears = array();
$placeHoldersGraduatesByYears = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsGraduatesByYears["English"] = array();
	$fieldToolTipsGraduatesByYears["English"] = array();
	$placeHoldersGraduatesByYears["English"] = array();
	$pageTitlesGraduatesByYears["English"] = array();
	$fieldLabelsGraduatesByYears["English"]["GRADUATES2004"] = "GRADUATES2004";
	$fieldToolTipsGraduatesByYears["English"]["GRADUATES2004"] = "";
	$placeHoldersGraduatesByYears["English"]["GRADUATES2004"] = "";
	$fieldLabelsGraduatesByYears["English"]["GRADUATES2005"] = "GRADUATES2005";
	$fieldToolTipsGraduatesByYears["English"]["GRADUATES2005"] = "";
	$placeHoldersGraduatesByYears["English"]["GRADUATES2005"] = "";
	$fieldLabelsGraduatesByYears["English"]["GRADUATES2006"] = "GRADUATES2006";
	$fieldToolTipsGraduatesByYears["English"]["GRADUATES2006"] = "";
	$placeHoldersGraduatesByYears["English"]["GRADUATES2006"] = "";
	$fieldLabelsGraduatesByYears["English"]["GRADUATES2007"] = "GRADUATES2007";
	$fieldToolTipsGraduatesByYears["English"]["GRADUATES2007"] = "";
	$placeHoldersGraduatesByYears["English"]["GRADUATES2007"] = "";
	$fieldLabelsGraduatesByYears["English"]["GRADUATES2008"] = "GRADUATES2008";
	$fieldToolTipsGraduatesByYears["English"]["GRADUATES2008"] = "";
	$placeHoldersGraduatesByYears["English"]["GRADUATES2008"] = "";
	$fieldLabelsGraduatesByYears["English"]["GRADUATES2009"] = "GRADUATES2009";
	$fieldToolTipsGraduatesByYears["English"]["GRADUATES2009"] = "";
	$placeHoldersGraduatesByYears["English"]["GRADUATES2009"] = "";
	$fieldLabelsGraduatesByYears["English"]["GRADUATES2010"] = "GRADUATES2010";
	$fieldToolTipsGraduatesByYears["English"]["GRADUATES2010"] = "";
	$placeHoldersGraduatesByYears["English"]["GRADUATES2010"] = "";
	$fieldLabelsGraduatesByYears["English"]["GRADUATES2011"] = "GRADUATES2011";
	$fieldToolTipsGraduatesByYears["English"]["GRADUATES2011"] = "";
	$placeHoldersGraduatesByYears["English"]["GRADUATES2011"] = "";
	$fieldLabelsGraduatesByYears["English"]["GRADUATES2012"] = "GRADUATES2012";
	$fieldToolTipsGraduatesByYears["English"]["GRADUATES2012"] = "";
	$placeHoldersGraduatesByYears["English"]["GRADUATES2012"] = "";
	$fieldLabelsGraduatesByYears["English"]["GRADUATES2013"] = "GRADUATES2013";
	$fieldToolTipsGraduatesByYears["English"]["GRADUATES2013"] = "";
	$placeHoldersGraduatesByYears["English"]["GRADUATES2013"] = "";
	$fieldLabelsGraduatesByYears["English"]["GRADUATES2014"] = "GRADUATES2014";
	$fieldToolTipsGraduatesByYears["English"]["GRADUATES2014"] = "";
	$placeHoldersGraduatesByYears["English"]["GRADUATES2014"] = "";
	$fieldLabelsGraduatesByYears["English"]["GRADUATES2015"] = "GRADUATES2015";
	$fieldToolTipsGraduatesByYears["English"]["GRADUATES2015"] = "";
	$placeHoldersGraduatesByYears["English"]["GRADUATES2015"] = "";
	$fieldLabelsGraduatesByYears["English"]["YEARS"] = "YEARS";
	$fieldToolTipsGraduatesByYears["English"]["YEARS"] = "";
	$placeHoldersGraduatesByYears["English"]["YEARS"] = "";
	if (count($fieldToolTipsGraduatesByYears["English"]))
		$tdataGraduatesByYears[".isUseToolTips"] = true;
}


	$tdataGraduatesByYears[".NCSearch"] = true;

	$tdataGraduatesByYears[".ChartRefreshTime"] = 0;


$tdataGraduatesByYears[".shortTableName"] = "GraduatesByYears";
$tdataGraduatesByYears[".nSecOptions"] = 0;

$tdataGraduatesByYears[".mainTableOwnerID"] = "";
$tdataGraduatesByYears[".entityType"] = 3;

$tdataGraduatesByYears[".strOriginalTableName"] = "applicform";

	



$tdataGraduatesByYears[".showAddInPopup"] = false;

$tdataGraduatesByYears[".showEditInPopup"] = false;

$tdataGraduatesByYears[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataGraduatesByYears[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataGraduatesByYears[".listAjax"] = false;
//	temporary
$tdataGraduatesByYears[".listAjax"] = false;

	$tdataGraduatesByYears[".audit"] = false;

	$tdataGraduatesByYears[".locking"] = false;


$pages = $tdataGraduatesByYears[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataGraduatesByYears[".edit"] = true;
	$tdataGraduatesByYears[".afterEditAction"] = 1;
	$tdataGraduatesByYears[".closePopupAfterEdit"] = 1;
	$tdataGraduatesByYears[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataGraduatesByYears[".add"] = true;
$tdataGraduatesByYears[".afterAddAction"] = 1;
$tdataGraduatesByYears[".closePopupAfterAdd"] = 1;
$tdataGraduatesByYears[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataGraduatesByYears[".list"] = true;
}

$tdataGraduatesByYears[".updateSelected"] = true;


$tdataGraduatesByYears[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataGraduatesByYears[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataGraduatesByYears[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataGraduatesByYears[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataGraduatesByYears[".printFriendly"] = true;
}



$tdataGraduatesByYears[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataGraduatesByYears[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataGraduatesByYears[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataGraduatesByYears[".isUseAjaxSuggest"] = true;




						

$tdataGraduatesByYears[".ajaxCodeSnippetAdded"] = false;

$tdataGraduatesByYears[".buttonsAdded"] = false;

$tdataGraduatesByYears[".addPageEvents"] = false;

// use timepicker for search panel
$tdataGraduatesByYears[".isUseTimeForSearch"] = false;




$tdataGraduatesByYears[".allSearchFields"] = array();
$tdataGraduatesByYears[".filterFields"] = array();
$tdataGraduatesByYears[".requiredSearchFields"] = array();

$tdataGraduatesByYears[".googleLikeFields"] = array();
$tdataGraduatesByYears[".googleLikeFields"][] = "GRADUATES2004";
$tdataGraduatesByYears[".googleLikeFields"][] = "GRADUATES2005";
$tdataGraduatesByYears[".googleLikeFields"][] = "GRADUATES2006";
$tdataGraduatesByYears[".googleLikeFields"][] = "GRADUATES2007";
$tdataGraduatesByYears[".googleLikeFields"][] = "GRADUATES2008";
$tdataGraduatesByYears[".googleLikeFields"][] = "GRADUATES2009";
$tdataGraduatesByYears[".googleLikeFields"][] = "GRADUATES2010";
$tdataGraduatesByYears[".googleLikeFields"][] = "GRADUATES2011";
$tdataGraduatesByYears[".googleLikeFields"][] = "GRADUATES2012";
$tdataGraduatesByYears[".googleLikeFields"][] = "GRADUATES2013";
$tdataGraduatesByYears[".googleLikeFields"][] = "GRADUATES2014";
$tdataGraduatesByYears[".googleLikeFields"][] = "GRADUATES2015";
$tdataGraduatesByYears[".googleLikeFields"][] = "YEARS";



$tdataGraduatesByYears[".tableType"] = "chart";

$tdataGraduatesByYears[".printerPageOrientation"] = 0;
$tdataGraduatesByYears[".nPrinterPageScale"] = 100;

$tdataGraduatesByYears[".nPrinterSplitRecords"] = 40;

$tdataGraduatesByYears[".geocodingEnabled"] = false;



// chart settings
$tdataGraduatesByYears[".chartType"] = "2DColumn";
// end of chart settings

$tdataGraduatesByYears[".isDisplayLoading"] = true;







$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataGraduatesByYears[".strOrderBy"] = $tstrOrderBy;

$tdataGraduatesByYears[".orderindexes"] = array();

$tdataGraduatesByYears[".sqlHead"] = "SELECT SUM(YearGraduated=2004) AS GRADUATES2004,  SUM(YearGraduated=2005) AS GRADUATES2005,  SUM(YearGraduated=2006) AS GRADUATES2006,  SUM(YearGraduated=2007) AS GRADUATES2007,  SUM(YearGraduated=2008) AS GRADUATES2008,  SUM(YearGraduated=2009) AS GRADUATES2009,  SUM(YearGraduated=2010) AS GRADUATES2010,  SUM(YearGraduated=2011) AS GRADUATES2011,  SUM(YearGraduated=2012) AS GRADUATES2012,  SUM(YearGraduated=2013) AS GRADUATES2013,  SUM(YearGraduated=2014) AS GRADUATES2014,  SUM(YearGraduated=2015) AS GRADUATES2015,  `1styear` AS YEARS";
$tdataGraduatesByYears[".sqlFrom"] = "FROM applicform";
$tdataGraduatesByYears[".sqlWhereExpr"] = "Graduated =1";
$tdataGraduatesByYears[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataGraduatesByYears[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataGraduatesByYears[".arrGroupsPerPage"] = $arrGPP;


$tableKeysGraduatesByYears = array();
$tdataGraduatesByYears[".Keys"] = $tableKeysGraduatesByYears;


$tdataGraduatesByYears[".hideMobileList"] = array();




//	GRADUATES2004
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "GRADUATES2004";
	$fdata["GoodName"] = "GRADUATES2004";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("GraduatesByYears","GRADUATES2004");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "GRADUATES2004";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2004)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataGraduatesByYears["GRADUATES2004"] = $fdata;
		$tdataGraduatesByYears[".searchableFields"][] = "GRADUATES2004";
//	GRADUATES2005
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "GRADUATES2005";
	$fdata["GoodName"] = "GRADUATES2005";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("GraduatesByYears","GRADUATES2005");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "GRADUATES2005";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2005)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataGraduatesByYears["GRADUATES2005"] = $fdata;
		$tdataGraduatesByYears[".searchableFields"][] = "GRADUATES2005";
//	GRADUATES2006
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "GRADUATES2006";
	$fdata["GoodName"] = "GRADUATES2006";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("GraduatesByYears","GRADUATES2006");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "GRADUATES2006";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2006)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataGraduatesByYears["GRADUATES2006"] = $fdata;
		$tdataGraduatesByYears[".searchableFields"][] = "GRADUATES2006";
//	GRADUATES2007
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "GRADUATES2007";
	$fdata["GoodName"] = "GRADUATES2007";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("GraduatesByYears","GRADUATES2007");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "GRADUATES2007";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2007)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataGraduatesByYears["GRADUATES2007"] = $fdata;
		$tdataGraduatesByYears[".searchableFields"][] = "GRADUATES2007";
//	GRADUATES2008
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "GRADUATES2008";
	$fdata["GoodName"] = "GRADUATES2008";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("GraduatesByYears","GRADUATES2008");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "GRADUATES2008";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2008)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataGraduatesByYears["GRADUATES2008"] = $fdata;
		$tdataGraduatesByYears[".searchableFields"][] = "GRADUATES2008";
//	GRADUATES2009
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "GRADUATES2009";
	$fdata["GoodName"] = "GRADUATES2009";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("GraduatesByYears","GRADUATES2009");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "GRADUATES2009";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2009)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataGraduatesByYears["GRADUATES2009"] = $fdata;
		$tdataGraduatesByYears[".searchableFields"][] = "GRADUATES2009";
//	GRADUATES2010
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "GRADUATES2010";
	$fdata["GoodName"] = "GRADUATES2010";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("GraduatesByYears","GRADUATES2010");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "GRADUATES2010";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2010)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataGraduatesByYears["GRADUATES2010"] = $fdata;
		$tdataGraduatesByYears[".searchableFields"][] = "GRADUATES2010";
//	GRADUATES2011
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "GRADUATES2011";
	$fdata["GoodName"] = "GRADUATES2011";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("GraduatesByYears","GRADUATES2011");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "GRADUATES2011";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2011)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataGraduatesByYears["GRADUATES2011"] = $fdata;
		$tdataGraduatesByYears[".searchableFields"][] = "GRADUATES2011";
//	GRADUATES2012
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "GRADUATES2012";
	$fdata["GoodName"] = "GRADUATES2012";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("GraduatesByYears","GRADUATES2012");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "GRADUATES2012";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2012)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataGraduatesByYears["GRADUATES2012"] = $fdata;
		$tdataGraduatesByYears[".searchableFields"][] = "GRADUATES2012";
//	GRADUATES2013
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "GRADUATES2013";
	$fdata["GoodName"] = "GRADUATES2013";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("GraduatesByYears","GRADUATES2013");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "GRADUATES2013";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2013)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataGraduatesByYears["GRADUATES2013"] = $fdata;
		$tdataGraduatesByYears[".searchableFields"][] = "GRADUATES2013";
//	GRADUATES2014
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "GRADUATES2014";
	$fdata["GoodName"] = "GRADUATES2014";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("GraduatesByYears","GRADUATES2014");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "GRADUATES2014";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2014)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataGraduatesByYears["GRADUATES2014"] = $fdata;
		$tdataGraduatesByYears[".searchableFields"][] = "GRADUATES2014";
//	GRADUATES2015
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "GRADUATES2015";
	$fdata["GoodName"] = "GRADUATES2015";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("GraduatesByYears","GRADUATES2015");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "GRADUATES2015";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2015)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataGraduatesByYears["GRADUATES2015"] = $fdata;
		$tdataGraduatesByYears[".searchableFields"][] = "GRADUATES2015";
//	YEARS
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "YEARS";
	$fdata["GoodName"] = "YEARS";
	$fdata["ownerTable"] = "applicform";
	$fdata["Label"] = GetFieldLabel("GraduatesByYears","YEARS");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "1styear";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`1styear`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataGraduatesByYears["YEARS"] = $fdata;
		$tdataGraduatesByYears[".searchableFields"][] = "YEARS";

	$tdataGraduatesByYears[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">GraduatesByYears</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">2d_column</attr>
		</attr>

		<attr value="parameters">';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="0">
			<attr value="name">GRADUATES2004</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="1">
			<attr value="name">GRADUATES2005</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="2">
			<attr value="name">GRADUATES2006</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="3">
			<attr value="name">GRADUATES2007</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="4">
			<attr value="name">GRADUATES2008</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="5">
			<attr value="name">GRADUATES2009</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="6">
			<attr value="name">GRADUATES2010</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="7">
			<attr value="name">GRADUATES2011</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="8">
			<attr value="name">GRADUATES2012</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="9">
			<attr value="name">GRADUATES2013</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="10">
			<attr value="name">GRADUATES2014</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="11">
		<attr value="name">YEAR</attr>
	</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '</attr>
			<attr value="appearance">';


	$tdataGraduatesByYears[".chartXml"] .= '<attr value="head">'.xmlencode("Gerson Solulu Scholarship Graduates over the Years").'</attr>
<attr value="foot">'.xmlencode("Years ( 2004 - 2015)").'</attr>
<attr value="y_axis_label">'.xmlencode("Total Graduates").'</attr>


<attr value="slegend">true</attr>
<attr value="sgrid">true</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">true</attr>
<attr value="sstacked">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">0</attr>
<attr value="autoupmin">300</attr>';
$tdataGraduatesByYears[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="0">
		<attr value="name">GRADUATES2004</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("GraduatesByYears","GRADUATES2004")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="1">
		<attr value="name">GRADUATES2005</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("GraduatesByYears","GRADUATES2005")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="2">
		<attr value="name">GRADUATES2006</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("GraduatesByYears","GRADUATES2006")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="3">
		<attr value="name">GRADUATES2007</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("GraduatesByYears","GRADUATES2007")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="4">
		<attr value="name">GRADUATES2008</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("GraduatesByYears","GRADUATES2008")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="5">
		<attr value="name">GRADUATES2009</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("GraduatesByYears","GRADUATES2009")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="6">
		<attr value="name">GRADUATES2010</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("GraduatesByYears","GRADUATES2010")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="7">
		<attr value="name">GRADUATES2011</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("GraduatesByYears","GRADUATES2011")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="8">
		<attr value="name">GRADUATES2012</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("GraduatesByYears","GRADUATES2012")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="9">
		<attr value="name">GRADUATES2013</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("GraduatesByYears","GRADUATES2013")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="10">
		<attr value="name">GRADUATES2014</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("GraduatesByYears","GRADUATES2014")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="11">
		<attr value="name">GRADUATES2015</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("GraduatesByYears","GRADUATES2015")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataGraduatesByYears[".chartXml"] .= '<attr value="12">
		<attr value="name">YEARS</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("GraduatesByYears","YEARS")).'</attr>
		<attr value="search"></attr>
	</attr>';
$tdataGraduatesByYears[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">GraduatesByYears</attr>
<attr value="short_table_name">GraduatesByYears</attr>
</attr>

</chart>';

$tables_data["GraduatesByYears"]=&$tdataGraduatesByYears;
$field_labels["GraduatesByYears"] = &$fieldLabelsGraduatesByYears;
$fieldToolTips["GraduatesByYears"] = &$fieldToolTipsGraduatesByYears;
$placeHolders["GraduatesByYears"] = &$placeHoldersGraduatesByYears;
$page_titles["GraduatesByYears"] = &$pageTitlesGraduatesByYears;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["GraduatesByYears"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["GraduatesByYears"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_GraduatesByYears()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "SUM(YearGraduated=2004) AS GRADUATES2004,  SUM(YearGraduated=2005) AS GRADUATES2005,  SUM(YearGraduated=2006) AS GRADUATES2006,  SUM(YearGraduated=2007) AS GRADUATES2007,  SUM(YearGraduated=2008) AS GRADUATES2008,  SUM(YearGraduated=2009) AS GRADUATES2009,  SUM(YearGraduated=2010) AS GRADUATES2010,  SUM(YearGraduated=2011) AS GRADUATES2011,  SUM(YearGraduated=2012) AS GRADUATES2012,  SUM(YearGraduated=2013) AS GRADUATES2013,  SUM(YearGraduated=2014) AS GRADUATES2014,  SUM(YearGraduated=2015) AS GRADUATES2015,  `1styear` AS YEARS";
$proto0["m_strFrom"] = "FROM applicform";
$proto0["m_strWhere"] = "Graduated =1";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "Graduated =1";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "Graduated",
	"m_strTable" => "applicform",
	"m_srcTableName" => "GraduatesByYears"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "=1";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$proto7=array();
$proto7["m_functiontype"] = "SQLF_SUM";
$proto7["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2004"
));

$proto7["m_arguments"][]=$obj;
$proto7["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto7);

$proto6["m_sql"] = "SUM(YearGraduated=2004)";
$proto6["m_srcTableName"] = "GraduatesByYears";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "GRADUATES2004";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$proto10=array();
$proto10["m_functiontype"] = "SQLF_SUM";
$proto10["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2005"
));

$proto10["m_arguments"][]=$obj;
$proto10["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto10);

$proto9["m_sql"] = "SUM(YearGraduated=2005)";
$proto9["m_srcTableName"] = "GraduatesByYears";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "GRADUATES2005";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$proto13=array();
$proto13["m_functiontype"] = "SQLF_SUM";
$proto13["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2006"
));

$proto13["m_arguments"][]=$obj;
$proto13["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto13);

$proto12["m_sql"] = "SUM(YearGraduated=2006)";
$proto12["m_srcTableName"] = "GraduatesByYears";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "GRADUATES2006";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$proto16=array();
$proto16["m_functiontype"] = "SQLF_SUM";
$proto16["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2007"
));

$proto16["m_arguments"][]=$obj;
$proto16["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto16);

$proto15["m_sql"] = "SUM(YearGraduated=2007)";
$proto15["m_srcTableName"] = "GraduatesByYears";
$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "GRADUATES2007";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$proto19=array();
$proto19["m_functiontype"] = "SQLF_SUM";
$proto19["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2008"
));

$proto19["m_arguments"][]=$obj;
$proto19["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto19);

$proto18["m_sql"] = "SUM(YearGraduated=2008)";
$proto18["m_srcTableName"] = "GraduatesByYears";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "GRADUATES2008";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$proto22=array();
$proto22["m_functiontype"] = "SQLF_SUM";
$proto22["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2009"
));

$proto22["m_arguments"][]=$obj;
$proto22["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto22);

$proto21["m_sql"] = "SUM(YearGraduated=2009)";
$proto21["m_srcTableName"] = "GraduatesByYears";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "GRADUATES2009";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$proto25=array();
$proto25["m_functiontype"] = "SQLF_SUM";
$proto25["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2010"
));

$proto25["m_arguments"][]=$obj;
$proto25["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto25);

$proto24["m_sql"] = "SUM(YearGraduated=2010)";
$proto24["m_srcTableName"] = "GraduatesByYears";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "GRADUATES2010";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$proto28=array();
$proto28["m_functiontype"] = "SQLF_SUM";
$proto28["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2011"
));

$proto28["m_arguments"][]=$obj;
$proto28["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto28);

$proto27["m_sql"] = "SUM(YearGraduated=2011)";
$proto27["m_srcTableName"] = "GraduatesByYears";
$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "GRADUATES2011";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$proto31=array();
$proto31["m_functiontype"] = "SQLF_SUM";
$proto31["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2012"
));

$proto31["m_arguments"][]=$obj;
$proto31["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto31);

$proto30["m_sql"] = "SUM(YearGraduated=2012)";
$proto30["m_srcTableName"] = "GraduatesByYears";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "GRADUATES2012";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto33=array();
			$proto34=array();
$proto34["m_functiontype"] = "SQLF_SUM";
$proto34["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2013"
));

$proto34["m_arguments"][]=$obj;
$proto34["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto34);

$proto33["m_sql"] = "SUM(YearGraduated=2013)";
$proto33["m_srcTableName"] = "GraduatesByYears";
$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "GRADUATES2013";
$obj = new SQLFieldListItem($proto33);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$proto37=array();
$proto37["m_functiontype"] = "SQLF_SUM";
$proto37["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2014"
));

$proto37["m_arguments"][]=$obj;
$proto37["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto37);

$proto36["m_sql"] = "SUM(YearGraduated=2014)";
$proto36["m_srcTableName"] = "GraduatesByYears";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "GRADUATES2014";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto39=array();
			$proto40=array();
$proto40["m_functiontype"] = "SQLF_SUM";
$proto40["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2015"
));

$proto40["m_arguments"][]=$obj;
$proto40["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto40);

$proto39["m_sql"] = "SUM(YearGraduated=2015)";
$proto39["m_srcTableName"] = "GraduatesByYears";
$proto39["m_expr"]=$obj;
$proto39["m_alias"] = "GRADUATES2015";
$obj = new SQLFieldListItem($proto39);

$proto0["m_fieldlist"][]=$obj;
						$proto42=array();
			$obj = new SQLField(array(
	"m_strName" => "1styear",
	"m_strTable" => "applicform",
	"m_srcTableName" => "GraduatesByYears"
));

$proto42["m_sql"] = "`1styear`";
$proto42["m_srcTableName"] = "GraduatesByYears";
$proto42["m_expr"]=$obj;
$proto42["m_alias"] = "YEARS";
$obj = new SQLFieldListItem($proto42);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto44=array();
$proto44["m_link"] = "SQLL_MAIN";
			$proto45=array();
$proto45["m_strName"] = "applicform";
$proto45["m_srcTableName"] = "GraduatesByYears";
$proto45["m_columns"] = array();
$proto45["m_columns"][] = "MPGID";
$proto45["m_columns"][] = "StudentSchoolID";
$proto45["m_columns"][] = "Surname";
$proto45["m_columns"][] = "FirstName";
$proto45["m_columns"][] = "Photo";
$proto45["m_columns"][] = "Gender";
$proto45["m_columns"][] = "DateofBirth";
$proto45["m_columns"][] = "PlaceofBirth";
$proto45["m_columns"][] = "DistrictOfBirth";
$proto45["m_columns"][] = "ProvinceOfBirth";
$proto45["m_columns"][] = "FatherVillage";
$proto45["m_columns"][] = "FatherLLG";
$proto45["m_columns"][] = "FatherDistrict";
$proto45["m_columns"][] = "FATHERJOB";
$proto45["m_columns"][] = "FATHERSNAME";
$proto45["m_columns"][] = "FATHERSURNAME";
$proto45["m_columns"][] = "FATHERPROV";
$proto45["m_columns"][] = "MOTHERJOB";
$proto45["m_columns"][] = "MOTHERNAME";
$proto45["m_columns"][] = "MOTHERSURNAME";
$proto45["m_columns"][] = "MOTHERNATIONAL";
$proto45["m_columns"][] = "FATHERNATIONAL";
$proto45["m_columns"][] = "FATHERCLAN";
$proto45["m_columns"][] = "MOTHERCLAN";
$proto45["m_columns"][] = "MOTHERRELIGION";
$proto45["m_columns"][] = "FATHERRELIGION";
$proto45["m_columns"][] = "FATHERBIRTHPLACE";
$proto45["m_columns"][] = "MOTHERBIRTHPLACE";
$proto45["m_columns"][] = "MotherVillage";
$proto45["m_columns"][] = "MotherLLG";
$proto45["m_columns"][] = "MotherDistrict";
$proto45["m_columns"][] = "MOTHERPROV";
$proto45["m_columns"][] = "LastInstitutuonAttended";
$proto45["m_columns"][] = "HighestGradeCompleted";
$proto45["m_columns"][] = "YearHighestGradeCompleted";
$proto45["m_columns"][] = "TertiaryInstitutionAdmitted";
$proto45["m_columns"][] = "ProgramName";
$proto45["m_columns"][] = "ProgramCode";
$proto45["m_columns"][] = "WitnessName";
$proto45["m_columns"][] = "WitnessOccupation";
$proto45["m_columns"][] = "WitnessAddress";
$proto45["m_columns"][] = "1styear";
$proto45["m_columns"][] = "1styearTesas";
$proto45["m_columns"][] = "1styearFee";
$proto45["m_columns"][] = "Paid1stYearFee";
$proto45["m_columns"][] = "Repeat1stYear";
$proto45["m_columns"][] = "Repeat1stTESAS";
$proto45["m_columns"][] = "Repeatd1stYearFee";
$proto45["m_columns"][] = "Paid1stYrRepeatFee";
$proto45["m_columns"][] = "Passd1stYear";
$proto45["m_columns"][] = "sem1year1";
$proto45["m_columns"][] = "Year2nd";
$proto45["m_columns"][] = "TESAS2ndYear";
$proto45["m_columns"][] = "Fee2ndYear";
$proto45["m_columns"][] = "Paid2ndYearFee";
$proto45["m_columns"][] = "Repeated2ndYear";
$proto45["m_columns"][] = "Repeat2ndYrTESAS";
$proto45["m_columns"][] = "Repeat2ndYearFee";
$proto45["m_columns"][] = "Paid2ndYrRepeatFee";
$proto45["m_columns"][] = "Passd2ndYear";
$proto45["m_columns"][] = "sem1year2";
$proto45["m_columns"][] = "Year3rd";
$proto45["m_columns"][] = "TESAS3rdYear";
$proto45["m_columns"][] = "Fee3rdYear";
$proto45["m_columns"][] = "Paid3rdYrFee";
$proto45["m_columns"][] = "Repeatd3rdYear";
$proto45["m_columns"][] = "Repeat3rdYrTESAS";
$proto45["m_columns"][] = "Repeatd3rdYrFee";
$proto45["m_columns"][] = "Paid3rdYrRepeatFee";
$proto45["m_columns"][] = "Passd3rdYear";
$proto45["m_columns"][] = "sem1year3";
$proto45["m_columns"][] = "Year4th";
$proto45["m_columns"][] = "TESAS4thYear";
$proto45["m_columns"][] = "Fee4thYear";
$proto45["m_columns"][] = "Paid4thYearFee";
$proto45["m_columns"][] = "Repeated4thYear";
$proto45["m_columns"][] = "Repeath4thYrTESAS";
$proto45["m_columns"][] = "Repeat4thYrFee";
$proto45["m_columns"][] = "Paid4thYrRepeatFee";
$proto45["m_columns"][] = "Passd4thYear";
$proto45["m_columns"][] = "sem1year4";
$proto45["m_columns"][] = "Year5th";
$proto45["m_columns"][] = "TESAS5thYear";
$proto45["m_columns"][] = "Fee5thYear";
$proto45["m_columns"][] = "Paid5thYearFee";
$proto45["m_columns"][] = "Repeat5thYear";
$proto45["m_columns"][] = "Repeat5thYrTESAS";
$proto45["m_columns"][] = "Repeat5thYrFEE";
$proto45["m_columns"][] = "Paid5thYrRepeatFee";
$proto45["m_columns"][] = "Passdd5thYr";
$proto45["m_columns"][] = "sem1year5";
$proto45["m_columns"][] = "Graduated";
$proto45["m_columns"][] = "YearGraduated";
$proto45["m_columns"][] = "PostingtoSchool";
$proto45["m_columns"][] = "PostingsLLG";
$proto45["m_columns"][] = "ScholarshipType";
$proto45["m_columns"][] = "Comments";
$proto45["m_columns"][] = "NewApplicant";
$proto45["m_columns"][] = "Judge1Comment";
$proto45["m_columns"][] = "Reapply";
$proto45["m_columns"][] = "EmailAddrssAppl";
$proto45["m_columns"][] = "MobileNoAppl";
$proto45["m_columns"][] = "GPA";
$proto45["m_columns"][] = "approved1";
$proto45["m_columns"][] = "approved2";
$proto45["m_columns"][] = "approved3";
$proto45["m_columns"][] = "Judge2Comment";
$proto45["m_columns"][] = "Judge3Comment";
$proto45["m_columns"][] = "JudgeComment";
$proto45["m_columns"][] = "Lat";
$proto45["m_columns"][] = "Lng";
$proto45["m_columns"][] = "Documents";
$proto45["m_columns"][] = "judge1id";
$proto45["m_columns"][] = "judee2id";
$proto45["m_columns"][] = "judge3id";
$proto45["m_columns"][] = "username";
$proto45["m_columns"][] = "transcripts";
$proto45["m_columns"][] = "acceptletter";
$proto45["m_columns"][] = "gradetencert";
$proto45["m_columns"][] = "grade12cert";
$proto45["m_columns"][] = "natid";
$proto45["m_columns"][] = "sem2year1";
$proto45["m_columns"][] = "sem2year2";
$proto45["m_columns"][] = "sem2year3";
$proto45["m_columns"][] = "sem2year4";
$proto45["m_columns"][] = "sem2year5";
$proto45["m_columns"][] = "y1housingtype";
$proto45["m_columns"][] = "y2housingtype";
$proto45["m_columns"][] = "y3housingtype";
$proto45["m_columns"][] = "y4housingtype";
$proto45["m_columns"][] = "y5housingtype";
$proto45["m_columns"][] = "comment1";
$proto45["m_columns"][] = "comment2";
$proto45["m_columns"][] = "comment3";
$proto45["m_columns"][] = "comment4";
$proto45["m_columns"][] = "comment5";
$proto45["m_columns"][] = "assessed";
$proto45["m_columns"][] = "assessed1";
$proto45["m_columns"][] = "assessed2";
$proto45["m_columns"][] = "assessed3";
$proto45["m_columns"][] = "assessed4";
$proto45["m_columns"][] = "assessed5";
$proto45["m_columns"][] = "parentsnowliving";
$proto45["m_columns"][] = "active";
$proto45["m_columns"][] = "reset_token";
$proto45["m_columns"][] = "reset_date";
$obj = new SQLTable($proto45);

$proto44["m_table"] = $obj;
$proto44["m_sql"] = "applicform";
$proto44["m_alias"] = "";
$proto44["m_srcTableName"] = "GraduatesByYears";
$proto46=array();
$proto46["m_sql"] = "";
$proto46["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto46["m_column"]=$obj;
$proto46["m_contained"] = array();
$proto46["m_strCase"] = "";
$proto46["m_havingmode"] = false;
$proto46["m_inBrackets"] = false;
$proto46["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto46);

$proto44["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto44);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="GraduatesByYears";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_GraduatesByYears = createSqlQuery_GraduatesByYears();


	
		;

													

$tdataGraduatesByYears[".sqlquery"] = $queryData_GraduatesByYears;

$tableEvents["GraduatesByYears"] = new eventsBase;
$tdataGraduatesByYears[".hasEvents"] = false;

?>